GHSA-7mg2-6c6v-342r

Suggest an improvement
Source
https://github.com/advisories/GHSA-7mg2-6c6v-342r
Import Source
https://github.com/github/advisory-database/blob/main/advisories/github-reviewed/2024/04/GHSA-7mg2-6c6v-342r/GHSA-7mg2-6c6v-342r.json
JSON Data
https://api.osv.dev/v1/vulns/GHSA-7mg2-6c6v-342r
Aliases
  • CVE-2024-29834
Published
2024-04-02T21:30:27Z
Modified
2024-05-02T19:03:49.413269Z
Severity
  • 6.4 (Medium) CVSS_V3 - CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:C/C:L/I:L/A:N CVSS Calculator
Summary
Apache Pulsar: Improper Authorization For Namespace and Topic Management Endpoints
Details

This vulnerability allows authenticated users with produce or consume permissions to perform unauthorized operations on partitioned topics, such as unloading topics and triggering compaction. These management operations should be restricted to users with the tenant admin role or superuser role. An authenticated user with produce permission can create subscriptions and update subscription properties on partitioned topics, even though this should be limited to users with consume permissions. This impact analysis assumes that Pulsar has been configured with the default authorization provider. For custom authorization providers, the impact could be slightly different. Additionally, the vulnerability allows an authenticated user to read, create, modify, and delete namespace properties in any namespace in any tenant. In Pulsar, namespace properties are reserved for user provided metadata about the namespace.

This issue affects Apache Pulsar versions from 2.7.1 to 2.10.6, from 2.11.0 to 2.11.4, from 3.0.0 to 3.0.3, from 3.1.0 to 3.1.3, and from 3.2.0 to 3.2.1.

3.0 Apache Pulsar users should upgrade to at least 3.0.4. 3.1 and 3.2 Apache Pulsar users should upgrade to at least 3.2.2.

Users operating versions prior to those listed above should upgrade to the aforementioned patched versions or newer versions.

References

Affected packages

Maven / org.apache.pulsar:pulsar-broker

Package

Name
org.apache.pulsar:pulsar-broker
View open source insights on deps.dev
Purl
pkg:maven/org.apache.pulsar/pulsar-broker

Affected ranges

Type
ECOSYSTEM
Events
Introduced
2.7.1
Last affected
2.10.6

Affected versions

2.*

2.7.1
2.7.2
2.7.3
2.7.4
2.7.5
2.8.0
2.8.1
2.8.2
2.8.3
2.8.4
2.9.0
2.9.1
2.9.2
2.9.3
2.9.4
2.9.5
2.10.0
2.10.1
2.10.2
2.10.3
2.10.4
2.10.5
2.10.6

Maven / org.apache.pulsar:pulsar-broker

Package

Name
org.apache.pulsar:pulsar-broker
View open source insights on deps.dev
Purl
pkg:maven/org.apache.pulsar/pulsar-broker

Affected ranges

Type
ECOSYSTEM
Events
Introduced
2.11.0
Last affected
2.11.4

Affected versions

2.*

2.11.0
2.11.1
2.11.2
2.11.3
2.11.4

Maven / org.apache.pulsar:pulsar-broker

Package

Name
org.apache.pulsar:pulsar-broker
View open source insights on deps.dev
Purl
pkg:maven/org.apache.pulsar/pulsar-broker

Affected ranges

Type
ECOSYSTEM
Events
Introduced
3.0.0
Fixed
3.0.4

Affected versions

3.*

3.0.0
3.0.1
3.0.2
3.0.3

Maven / org.apache.pulsar:pulsar-broker

Package

Name
org.apache.pulsar:pulsar-broker
View open source insights on deps.dev
Purl
pkg:maven/org.apache.pulsar/pulsar-broker

Affected ranges

Type
ECOSYSTEM
Events
Introduced
3.1.0
Last affected
3.1.3

Affected versions

3.*

3.1.0
3.1.1
3.1.2
3.1.3

Maven / org.apache.pulsar:pulsar-broker

Package

Name
org.apache.pulsar:pulsar-broker
View open source insights on deps.dev
Purl
pkg:maven/org.apache.pulsar/pulsar-broker

Affected ranges

Type
ECOSYSTEM
Events
Introduced
3.2.0
Fixed
3.2.2

Affected versions

3.*

3.2.0
3.2.1